deflateoutputstreambuf.h File Reference

Header file that defines DeflateOutputStreambuf. More...

`#include "zipios++/zipios-config.h"`
`#include "zipios++/meta-iostreams.h"`
`#include <vector>`
`#include <zlib.h>`
`#include "zipios++/filteroutputstreambuf.h"`
`#include "zipios++/ziphead.h"`
`#include "zipios++/zipios_defs.h"`
Include dependency graph for deflateoutputstreambuf.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | zipios::DeflateOutputStreambuf
| DeflateOutputStreambuf is an output stream filter, that deflates the data that is written to it before it passes it on to the output stream it is attached to. More...
class | zipios::vector

## Detailed Description

Header file that defines DeflateOutputStreambuf.

Definition in file deflateoutputstreambuf.h.